## sqsh 2.1.7

=== Makefile ===
#
#  Makefile.in,v 1.4 1996/02/15 02:18:28 gray Exp
#

prefix         = /usr/local
src_dir        = .
exec_prefix    = ${prefix}
bin_dir        = ${exec_prefix}/bin
inc_dir        = ${prefix}/include
lib_dir        = /lib
man_src        = $(src_dir)/doc
man_dir        = ${prefix}/man
conf_dir       = ${prefix}/etc

INSTALL        = $(src_dir)/autoconf/install-sh
INSTALL_PROG   = $(INSTALL) -c
INSTALL_DIR    = $(INSTALL) -d
INSTALL_DATA   = $(INSTALL) -c -m 644
INSTALL_MAN    = $(src_dir)/autoconf/install-man

SQSHRC_GLOBAL  = $(conf_dir)/sqshrc

MAN_PAGES      = sqsh.1
SRCS           = $(OBJS:.o=.c)
HEADERS        = 

SUBDIRS        = src
TARGET         = sqsh

build : build-subdirs

build-subdirs :
	@for dir in $(SUBDIRS); do \
		(cd $$dir; make) \
	done

clean : clean-subdirs

clean-subdirs :
	@for dir in $(SUBDIRS); do \
		(cd $$dir; make clean) \
	done

distclean : distclean-subdirs
	rm -f Makefile config.cache config.log config.status \
	      scripts/wrapper.sh scripts/make_wrapper.sh scripts/install.sh

distclean-subdirs :
	@for dir in $(SUBDIRS); do \
		(cd $$dir; make distclean) \
	done

install : build-subdirs
	@$(INSTALL_DIR) $(DESTDIR)$(bin_dir); \
	$(INSTALL_PROG) src/$(TARGET) $(DESTDIR)$(bin_dir)/$(TARGET); \
	$(INSTALL_DIR) $(DESTDIR)`dirname $(SQSHRC_GLOBAL)`; \
	if test -f $(DESTDIR)$(SQSHRC_GLOBAL); then \
		echo WARNING: You already have the file $(DESTDIR)$(SQSHRC_GLOBAL); \
		echo installed. This file will be left untouched. The version; \
		echo supplied with this installation will be installed as; \
		echo $(DESTDIR)$(SQSHRC_GLOBAL).new; \
		$(INSTALL_DATA) doc/global.sqshrc $(DESTDIR)$(SQSHRC_GLOBAL).new; \
	else \
		$(INSTALL_DATA) doc/global.sqshrc $(DESTDIR)$(SQSHRC_GLOBAL); \
	fi

install-wrapper : install
	@mv $(DESTDIR)$(bin_dir)/$(TARGET) $(DESTDIR)$(bin_dir)/$(TARGET).bin; \
	/bin/sh scripts/make_wrapper.sh scripts/wrapper.sh.in scripts/wrapper.sh; \
	$(INSTALL_PROG) scripts/wrapper.sh $(DESTDIR)$(bin_dir)/$(TARGET)

uninstall :
	rm -f $(DESTDIR)$(bin_dir)/$(TARGET) $(DESTDIR)$(bin_dir)/$(TARGET).bin

uninstall-wrapper: uninstall

install.man :
	 $(INSTALL_MAN) -s $(man_src) -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

uninstall.man :
	 $(INSTALL_MAN) -u -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

install.zman :
	 $(INSTALL_MAN) -c -u -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

uninstall.zman :
	$(INSTALL_MAN) -c -u -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

dist : build
	@/bin/sh scripts/make_wrapper.sh scripts/wrapper.sh.in scripts/wrapper.sh; \
	/bin/sh scripts/make_dist.sh

=== cygwin/Makefile ===
#  $Id: Makefile,v 1.2 2004/11/24 13:21:40 mpeppler Exp $
#
#  Makefile for sqsh on Cygwin
#

#  Fix the SYBASE_OCOS entry below, copy "config.h" to the
#  src directory, then cd to the src directory and run
#       make -f ../cygwin/Makefile
#  and everything **should** work.


#  The following list of sqshrc files will be executed by sqsh upon
#  startup.  This allows for system-wide defaults to be set in a 
#  common directory. If you don't want a global sqshrc just comment 
#  out SQSHRC_GLOBAL, below.

SQSHRC_GLOBAL = /usr/local/etc/sqshrc
SQSHRC_PATH   = "$(SQSHRC_GLOBAL):$${HOME}/.sqshrc"

#  The following variables are configurable by the user.  Typically
#  these include things that GNU autoconf has a little trouble
#  figuring out for itself.

SYBASE_OCOS   = c:/sybase/OCS-12_5
SYBASE_INCDIR = -I$(SYBASE_OCOS)/include
#SYBASE_LIBDIR = -L$(SYBASE_OCOS)/lib

#
#  The following set of CT-LIB libraries were determined automatically
#  by 'configure'.  For most systems configure looks up the required
#  libraries by looking at the name of the OS (although this doesn't
#  mean it got them right), however if the line below ends with the
#  word "Guess", then 'configure' didn't have an entry for your operating
#  system and it took a best guess to figure out which libraries you
#  need. In either case, there may be problems, so look this line over
#  and if it doesn't work, compare it to the libraries located in 
#  $SYBASE/samples/ctlibrary.
#
#  The listings below show suggested libraries for Operating Systems
#  that frequently fail to be recognized by 'configure':
#
#  SCO:   -lblk -lct -lcs -lcomn -ltcl -ltli -lnsl_s -lintl -m -lsocket 
#  Dynix: -lblk -lct -lcs -lcomn -ltcl -ltli -lnsl -lintl -lm -lseq
#
#SYBASE_LIBS   = -L$(SYBASE)/OCS-12_5/dll -lblk -lcs -lct  
#SYBASE_LIBS = libblk.lib libcs.lib libct.lib
SYBASE_LIBS = ../cygwin/libblk.a ../cygwin/libcs.a ../cygwin/libct.a

#
#  If you have the GNU readline library available, uncomment the
#  following definitions and make sure the lib directory and
#  include directories are correct.
#
DEF_READLINE    = -DUSE_READLINE -DOLD_READLINE
READLINE_LIBDIR = # -L/lib
READLINE_INCDIR = # -I/usr/include

#
#  On most systems, -lreadline and -lcurses is enough to link with
#  the readline library. However on a few systems you may need to
#  link with termcap rather than curses, and on other systems (such
#  as certain Solaris installations), you may need to link in -lucb
#  to get around some BSD specifics dealing with the termcap library.
#
READLINE_LIBS   = -lreadline -ltermcap

#
#  Motif Support - The `configure' motif support logic for sqsh 
#  isn't exactly perfected yet. If --with-motif was run, the
#  following what `configure' guessed at for the location
#  for your Motif includes and libs.  Note that if MOTIF_INCDIR
#  and MOTIF_LIBDIR are commented out, then the X_INCDIR and
#  X_LIBDIR will be used, below.
#
#  Note that on some systems -lXpm may need to be added to
#  MOTIF_LIBS.
#
DEF_MOTIF    = # -DUSE_MOTIF
MOTIF_INCDIR = 
MOTIF_LIBDIR = 
MOTIF_LIBS   = 

#
#  X Windows Support
#
#  The following variables configure whether or not X windows
#  support is compiled into sqsh (this allows a result set to
#  be displayed in a separate window).  If '--with-x' was sup-
#  plied to 'configure' then most of the variables should be
#  filled in for you (read INSTALL).  If '--with-x' was not
#  supplied or '--without-x' was supplied then The following
#  lines should be commented out.
#
DEF_X11      = # -DUSE_X11
X_INCDIR     = # -I/usr/X11R6/include
X_LIBDIR     = # -L/usr/X11R6/lib
X_LIBS       =  $(MOTIF_LIBS) # -lXaw -lXt -lXext -lXmu -lX11

#
#  Undefine the following line to turn off bcp support in sqsh. This
#  feature allows a result set to be redirected (bcp'ed) to another
#  server.  Since this is a new feature, if you get compile errors on
#  cmd_bcp.c, mail me a copy of the error message(s) (gray@voicenet.com)
#  and uncomment this line.
#
#DEF_NOBCP       = -DNO_BCP

#
#  As of sqsh-1.4, the $password value will never expand to a clear-text
#  copy of the users password.  If you wish to keep the old behavior
#  (which did show the clear-text password), uncomment the following
#  define.  Note that this applies to the new $lock password as well.
#
#DEF_INSECURE   = -DINSECURE

#
#  The following define turns on a work-around for a rather pernicious
#  bug in CT-Lib having to do with the way that async i/o signals are
#  delivered.  If, while running sqsh, pipes tend to lose data or don't
#  display anything at all, like:
#
#        1> sp_who
#        2> go | more
#        1>
#
#  you probably have the bug.  First, PLEASE e-mail me (gray@voicenet.com)
#  and I'll give you a description of what is going on so you can call
#  tech support: I am trying to get them to fix the problem, but they 
#  are moving at a snails pace.  Then, when you have done that, un-
#  comment the following line, which will attempt to install a work-
#  around for the problem.
#
#  Please, do not uncomment this line unless you have reproduced the
#  behavior described above.
#
#DEF_BUGFIX   = -DCTLIB_SIGPOLL_BUG

#
#  Uncommenting the following line turns on debugging support. Turning
#  this feature on will increase the size of sqsh by about 12K, and
#  will probably slow it down nominally. When enabled, various debugging
#  messages may be turned on and off using the -l flag or the $debug
#  environment variable.  There is probably no reason to enable this
#  unless you are debugging a problem or are interested in what is
#  going on under the hood.
#
DEF_DEBUG       = -DDEBUG

#
#  End of user configuration section.
#

prefix         = /usr/local
src_dir        = .
exec_prefix    = ${prefix}
bin_dir        = $(exec_prefix)/bin
inc_dir        = $(prefix)/include
lib_dir        = $(exec_prefix)/lib
man_src        = $(src_dir)/doc
man_dir        = $(prefix)/man

INSTALL        = $(src_dir)/autoconf/install-sh
INSTALL_PROG   = $(INSTALL) -c
INSTALL_DIR    = $(INSTALL) -d
INSTALL_DATA   = $(INSTALL) -c -m 644
INSTALL_MAN    = $(src_dir)/autoconf/install-man

CC             = gcc
DEBUG          = 
DEFINES        = -DSQSH_RC='${SQSHRC_PATH}' $(DEF_READLINE) \
                 $(DEF_NOBCP) $(DEF_DEBUG) $(DEF_INSECURE) $(DEF_X11) \
                 $(DEF_MOTIF) $(DEF_BUGFIX)  
INCLUDE_DIRS   = $(X_INCDIR) $(MOTIF_INCDIR) $(SYBASE_INCDIR) $(READLINE_INCDIR)
LIB_DIRS       = $(X_LIBDIR) $(MOTIF_INCDIR) $(SYBASE_LIBDIR) $(READLINE_LIBDIR)
CFLAGS         = -g -O2 $(DEBUG) $(DEFINES) $(INCLUDE_DIRS) 
CPPFLAGS       = -D_MSC_VER=800 -D_CYGWIN32_ 
LDFLAGS        = $(DEBUG) $(LIB_DIRS)
LIBS           = $(SYBASE_LIBS) $(X_LIBS) $(READLINE_LIBS) 

# The follow define information about the components that make up
# the actual program.

TARGET         = sqsh

CMDS           =  \
	cmd_alias.o cmd_bcp.o cmd_buf.o cmd_connect.o cmd_do.o \
	cmd_echo.o cmd_exit.o cmd_for.o cmd_func.o cmd_go.o \
	cmd_help.o cmd_history.o cmd_if.o cmd_input.o cmd_jobs.o \
	cmd_kill.o cmd_lock.o cmd_loop.o cmd_misc.o cmd_read.o \
	cmd_reconnect.o cmd_redraw.o cmd_reset.o cmd_return.o cmd_rpc.o \
	cmd_set.o cmd_shell.o cmd_show.o cmd_sleep.o cmd_wait.o \
	cmd_warranty.o cmd_while.o

DISPLAYS       = \
	dsp.o dsp_bcp.o dsp_conv.o dsp_desc.o dsp_horiz.o \
	dsp_html.o dsp_meta.o dsp_none.o dsp_out.o dsp_pretty.o \
	dsp_vert.o dsp_x.o

VARS           = \
	var_ctlib.o var_date.o var_debug.o var_dsp.o var_hist.o \
	var_misc.o var_passwd.o var_readline.o var_thresh.o

CORE           = \
	sqsh_alias.o sqsh_args.o sqsh_avl.o sqsh_buf.o sqsh_cmd.o \
	sqsh_compat.o sqsh_ctx.o sqsh_debug.o sqsh_env.o sqsh_error.o \
	sqsh_expand.o sqsh_fd.o sqsh_filter.o sqsh_fork.o sqsh_func.o \
	sqsh_getopt.o sqsh_global.o sqsh_history.o sqsh_init.o \
	sqsh_job.o sqsh_readline.o sqsh_sig.o sqsh_sigcld.o sqsh_stdin.o \
	sqsh_strchr.o sqsh_tok.o sqsh_varbuf.o

OBJS = $(CMDS) $(VARS) $(DISPLAYS) $(CORE)

MAN_PAGES      = sqsh.1
SRCS           = $(OBJS:.o=.c)
HEADERS        = 

$(TARGET) : $(OBJS) sqsh_main.o
	$(CC) $(LDFLAGS) $(OBJS) sqsh_main.o $(LIBS) -o $@

sqsh_test : $(OBJS) sqsh_test.o
	$(CC) $(LDFLAGS) $(OBJS) sqsh_test.o $(LIBS) -o $@

sig_test : sqsh_debug.o sqsh_error.o sqsh_sig.c
	$(CC) $(LDFLAGS) $(DEF_DEBUG) -DSIG_TEST sqsh_debug.o sqsh_error.o \
	                                         sqsh_sig.c -o sig_test

clean :
	rm -f *.o $(TARGET) sqsh_test sig_test

realclean : clean
	rm -f config.cache config.log config.status

distclean : realclean
	rm -f Makefile config.h core

# 
# The following absolutely disgusting list of dependancies was
# automatically generated via 'gcc -MM'
#
cmd_alias.o: cmd_alias.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_error.h sqsh_global.h sqsh_env.h sqsh_cmd.h \
 sqsh_avl.h sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h \
 sqsh_history.h sqsh_alias.h dsp.h sqsh_func.h cmd.h
cmd_bcp.o: cmd_bcp.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_getopt.h sqsh_sig.h cmd.h
cmd_buf.o: cmd_buf.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_error.h sqsh_getopt.h sqsh_buf.h sqsh_stdin.h cmd.h
cmd_connect.o: cmd_connect.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_error.h sqsh_global.h sqsh_env.h sqsh_cmd.h \
 sqsh_avl.h sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h \
 sqsh_history.h sqsh_alias.h dsp.h sqsh_func.h sqsh_getopt.h \
 sqsh_init.h sqsh_stdin.h cmd.h
cmd_do.o: cmd_do.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_sig.h sqsh_buf.h \
 sqsh_readline.h sqsh_getopt.h sqsh_stdin.h cmd.h cmd_misc.h \
 cmd_input.h
cmd_echo.o: cmd_echo.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h \
 sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h \
 sqsh_alias.h dsp.h sqsh_func.h cmd.h
cmd_exit.o: cmd_exit.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_cmd.h sqsh_avl.h cmd.h sqsh_varbuf.h
cmd_for.o: cmd_for.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_sig.h sqsh_buf.h \
 sqsh_readline.h sqsh_getopt.h sqsh_stdin.h cmd.h cmd_misc.h \
 cmd_input.h
cmd_func.o: cmd_func.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h \
 sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h \
 sqsh_alias.h dsp.h sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_sig.h \
 sqsh_getopt.h sqsh_buf.h sqsh_stdin.h sqsh_readline.h cmd.h \
 cmd_misc.h cmd_input.h
cmd_go.o: cmd_go.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_getopt.h sqsh_buf.h \
 sqsh_filter.h sqsh_stdin.h cmd.h cmd_misc.h
cmd_help.o: cmd_help.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h \
 sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h \
 sqsh_alias.h dsp.h sqsh_func.h sqsh_error.h cmd.h
cmd_history.o: cmd_history.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_error.h sqsh_global.h sqsh_env.h sqsh_cmd.h \
 sqsh_avl.h sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h \
 sqsh_history.h sqsh_alias.h dsp.h sqsh_func.h cmd.h

=== src/Makefile ===
#
#  Makefile.in,v 1.4 1996/02/15 02:18:28 gray Exp
#

#  The following list of sqshrc files will be executed by sqsh upon
#  startup.  This allows for system-wide defaults to be set in a 
#  common directory. If you don't want a global sqshrc just comment 
#  out SQSHRC_GLOBAL, below.

SQSHRC_GLOBAL = /usr/local/etc/sqshrc
SQSHRC_PATH   = "$(SQSHRC_GLOBAL):$${HOME}/.sqshrc"

#  The following variables are configurable by the user.  Typically
#  these include things that GNU autoconf has a little trouble
#  figuring out for itself.

SYBASE_OCOS   = /opt/sybase/OCS-15_0
SYBASE_INCDIR = -I$(SYBASE_OCOS)/include
SYBASE_LIBDIR = -L$(SYBASE_OCOS)/lib

#
#  The following set of CT-LIB libraries were determined automatically
#  by 'configure'.  For most systems configure looks up the required
#  libraries by looking at the name of the OS (although this doesn't
#  mean it got them right), however if the line below ends with the
#  word "Guess", then 'configure' didn't have an entry for your operating
#  system and it took a best guess to figure out which libraries you
#  need. In either case, there may be problems, so look this line over
#  and if it doesn't work, compare it to the libraries located in 
#  $SYBASE/samples/ctlibrary.
#
#  The listings below show suggested libraries for Operating Systems
#  that frequently fail to be recognized by 'configure':
#
#  SCO:   -lblk -lct -lcs -lcomn -ltcl -ltli -lnsl_s -lintl -m -lsocket 
#  Dynix: -lblk -lct -lcs -lcomn -ltcl -ltli -lnsl -lintl -lm -lseq
#
SYBASE_LIBS   =  -lsybblk -lsybcs -lsybct -lsybtcl -lsybcomn -lsybintl -ldl -lm

#
#  If you have the GNU readline library available, uncomment the
#  following definitions and make sure the lib directory and
#  include directories are correct.
#
DEF_READLINE    = -DUSE_READLINE -DOLD_READLINE
READLINE_LIBDIR = # -L/lib
READLINE_INCDIR = # -I/usr/include

#
#  On most systems, -lreadline and -lcurses is enough to link with
#  the readline library. However on a few systems you may need to
#  link with termcap rather than curses, and on other systems (such
#  as certain Solaris installations), you may need to link in -lucb
#  to get around some BSD specifics dealing with the termcap library.
#
READLINE_LIBS   = -lreadline -lcurses

#
#  Motif Support - The `configure' motif support logic for sqsh 
#  isn't exactly perfected yet. If --with-motif was run, the
#  following what `configure' guessed at for the location
#  for your Motif includes and libs.  Note that if MOTIF_INCDIR
#  and MOTIF_LIBDIR are commented out, then the X_INCDIR and
#  X_LIBDIR will be used, below.
#
#  Note that on some systems -lXpm may need to be added to
#  MOTIF_LIBS.
#
DEF_MOTIF    = # -DUSE_MOTIF
MOTIF_INCDIR = 
MOTIF_LIBDIR = 
MOTIF_LIBS   = 

#
#  X Windows Support
#
#  The following variables configure whether or not X windows
#  support is compiled into sqsh (this allows a result set to
#  be displayed in a separate window).  If '--with-x' was sup-
#  plied to 'configure' then most of the variables should be
#  filled in for you (read INSTALL).  If '--with-x' was not
#  supplied or '--without-x' was supplied then The following
#  lines should be commented out.
#
DEF_X11      = # -DUSE_X11
X_INCDIR     = # -I/usr/X11R6/include
X_LIBDIR     = # -L/usr/X11R6/lib
X_LIBS       =  $(MOTIF_LIBS) # -lXaw -lXt -lXext -lXmu -lX11

#
#  Undefine the following line to turn off bcp support in sqsh. This
#  feature allows a result set to be redirected (bcp'ed) to another
#  server.  Since this is a new feature, if you get compile errors on
#  cmd_bcp.c, mail me a copy of the error message(s) (gray@voicenet.com)
#  and uncomment this line.
#
#DEF_NOBCP       = -DNO_BCP

#
#  As of sqsh-1.4, the $password value will never expand to a clear-text
#  copy of the users password.  If you wish to keep the old behavior
#  (which did show the clear-text password), uncomment the following
#  define.  Note that this applies to the new $lock password as well.
#
#DEF_INSECURE   = -DINSECURE

#
#  The following define turns on a work-around for a rather pernicious
#  bug in CT-Lib having to do with the way that async i/o signals are
#  delivered.  If, while running sqsh, pipes tend to lose data or don't
#  display anything at all, like:
#
#        1> sp_who
#        2> go | more
#        1>
#
#  you probably have the bug.  First, PLEASE e-mail me (gray@voicenet.com)
#  and I'll give you a description of what is going on so you can call
#  tech support: I am trying to get them to fix the problem, but they 
#  are moving at a snails pace.  Then, when you have done that, un-
#  comment the following line, which will attempt to install a work-
#  around for the problem.
#
#  Please, do not uncomment this line unless you have reproduced the
#  behavior described above.
#
#DEF_BUGFIX   = -DCTLIB_SIGPOLL_BUG

#
#  Uncommenting the following line turns on debugging support. Turning
#  this feature on will increase the size of sqsh by about 12K, and
#  will probably slow it down nominally. When enabled, various debugging
#  messages may be turned on and off using the -l flag or the $debug
#  environment variable.  There is probably no reason to enable this
#  unless you are debugging a problem or are interested in what is
#  going on under the hood.
#
#DEF_DEBUG       = -DDEBUG

#
#  End of user configuration section.
#

prefix         = /usr/local
src_dir        = .
exec_prefix    = ${prefix}
bin_dir        = $(exec_prefix)/bin
inc_dir        = $(prefix)/include
lib_dir        = $(exec_prefix)/lib
man_src        = $(src_dir)/doc
man_dir        = $(prefix)/man

INSTALL        = $(src_dir)/autoconf/install-sh
INSTALL_PROG   = $(INSTALL) -c
INSTALL_DIR    = $(INSTALL) -d
INSTALL_DATA   = $(INSTALL) -c -m 644
INSTALL_MAN    = $(src_dir)/autoconf/install-man

CC             = gcc
DEBUG          =
DEFINES        = -DSQSH_RC='${SQSHRC_PATH}' $(DEF_READLINE) \
                 $(DEF_NOBCP) $(DEF_DEBUG) $(DEF_INSECURE) $(DEF_X11) \
                 $(DEF_MOTIF) $(DEF_BUGFIX)  
INCLUDE_DIRS   = $(X_INCDIR) $(MOTIF_INCDIR) $(SYBASE_INCDIR) $(READLINE_INCDIR)
LIB_DIRS       = $(X_LIBDIR) $(MOTIF_INCDIR) $(SYBASE_LIBDIR) $(READLINE_LIBDIR)
CFLAGS         = -g -O2 $(DEBUG) $(DEFINES) $(INCLUDE_DIRS)
CPPFLAGS       = 
LDFLAGS        = $(DEBUG) $(LIB_DIRS)
LIBS           = $(SYBASE_LIBS) $(X_LIBS) $(READLINE_LIBS) 

# The follow define information about the components that make up
# the actual program.

TARGET         = sqsh

CMDS           =  \
	cmd_alias.o cmd_bcp.o cmd_buf.o cmd_connect.o cmd_do.o \
	cmd_echo.o cmd_exit.o cmd_for.o cmd_func.o cmd_go.o \
	cmd_help.o cmd_history.o cmd_if.o cmd_input.o cmd_jobs.o \
	cmd_kill.o cmd_lock.o cmd_loop.o cmd_misc.o cmd_read.o \
	cmd_reconnect.o cmd_redraw.o cmd_reset.o cmd_return.o cmd_rpc.o \
	cmd_set.o cmd_shell.o cmd_show.o cmd_sleep.o cmd_wait.o \
	cmd_warranty.o cmd_while.o

DISPLAYS       = \
	dsp.o dsp_bcp.o dsp_csv.o dsp_conv.o dsp_desc.o dsp_horiz.o \
	dsp_html.o dsp_meta.o dsp_none.o dsp_out.o dsp_pretty.o \
	dsp_vert.o dsp_x.o

VARS           = \
	var_ctlib.o var_date.o var_debug.o var_dsp.o var_hist.o \
	var_misc.o var_passwd.o var_readline.o var_thresh.o

CORE           = \
	sqsh_alias.o sqsh_args.o sqsh_avl.o sqsh_buf.o sqsh_cmd.o \
	sqsh_compat.o sqsh_ctx.o sqsh_debug.o sqsh_env.o sqsh_error.o \
	sqsh_expand.o sqsh_fd.o sqsh_filter.o sqsh_fork.o sqsh_func.o \
	sqsh_getopt.o sqsh_global.o sqsh_history.o sqsh_init.o \
	sqsh_job.o sqsh_readline.o sqsh_sig.o sqsh_sigcld.o sqsh_stdin.o \
	sqsh_strchr.o sqsh_tok.o sqsh_varbuf.o

OBJS = $(CMDS) $(VARS) $(DISPLAYS) $(CORE)

MAN_PAGES      = sqsh.1
SRCS           = $(OBJS:.o=.c)
HEADERS        = 

$(TARGET) : $(OBJS) sqsh_main.o
	$(CC) $(LDFLAGS) $(OBJS) sqsh_main.o $(LIBS) -o $@

sqsh_test : $(OBJS) sqsh_test.o
	$(CC) $(LDFLAGS) $(OBJS) sqsh_test.o $(LIBS) -o $@

sig_test : sqsh_debug.o sqsh_error.o sqsh_sig.c
	$(CC) $(LDFLAGS) $(DEF_DEBUG) -DSIG_TEST sqsh_debug.o sqsh_error.o \
	                                         sqsh_sig.c -o sig_test

clean :
	rm -f *.o $(TARGET) sqsh_test sig_test

realclean : clean
	rm -f config.cache config.log config.status

distclean : realclean
	rm -f Makefile config.h core

# 
# The following absolutely disgusting list of dependancies was
# automatically generated via 'gcc -MM'
#
cmd_alias.o: cmd_alias.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_error.h sqsh_global.h sqsh_env.h sqsh_cmd.h \
 sqsh_avl.h sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h \
 sqsh_history.h sqsh_alias.h dsp.h sqsh_func.h cmd.h
cmd_bcp.o: cmd_bcp.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_getopt.h sqsh_sig.h cmd.h
cmd_buf.o: cmd_buf.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_error.h sqsh_getopt.h sqsh_buf.h sqsh_stdin.h cmd.h
cmd_connect.o: cmd_connect.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_error.h sqsh_global.h sqsh_env.h sqsh_cmd.h \
 sqsh_avl.h sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h \
 sqsh_history.h sqsh_alias.h dsp.h sqsh_func.h sqsh_getopt.h \
 sqsh_init.h sqsh_stdin.h cmd.h
cmd_do.o: cmd_do.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_sig.h sqsh_buf.h \
 sqsh_readline.h sqsh_getopt.h sqsh_stdin.h cmd.h cmd_misc.h \
 cmd_input.h
cmd_echo.o: cmd_echo.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h \
 sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h \
 sqsh_alias.h dsp.h sqsh_func.h cmd.h
cmd_exit.o: cmd_exit.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_cmd.h sqsh_avl.h cmd.h sqsh_varbuf.h
cmd_for.o: cmd_for.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_sig.h sqsh_buf.h \
 sqsh_readline.h sqsh_getopt.h sqsh_stdin.h cmd.h cmd_misc.h \
 cmd_input.h
cmd_func.o: cmd_func.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h \
 sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h \
 sqsh_alias.h dsp.h sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_sig.h \
 sqsh_getopt.h sqsh_buf.h sqsh_stdin.h sqsh_readline.h cmd.h \
 cmd_misc.h cmd_input.h
cmd_go.o: cmd_go.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_getopt.h sqsh_buf.h \
 sqsh_filter.h sqsh_stdin.h cmd.h cmd_misc.h
cmd_help.o: cmd_help.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h \
 sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h \
 sqsh_alias.h dsp.h sqsh_func.h sqsh_error.h cmd.h
cmd_history.o: cmd_history.c sqsh_config.h config.h sqsh_compat.h \
 sqsh_debug.h sqsh_error.h sqsh_global.h sqsh_env.h sqsh_cmd.h \
 sqsh_avl.h sqsh_job.h sqsh_args.h sqsh_sigcld.h sqsh_varbuf.h \
 sqsh_history.h sqsh_alias.h dsp.h sqsh_func.h cmd.h
cmd_if.o: cmd_if.c sqsh_config.h config.h sqsh_compat.h sqsh_debug.h \
 sqsh_global.h sqsh_env.h sqsh_cmd.h sqsh_avl.h sqsh_job.h sqsh_args.h \
 sqsh_sigcld.h sqsh_varbuf.h sqsh_history.h sqsh_alias.h dsp.h \
 sqsh_func.h sqsh_expand.h sqsh_error.h sqsh_sig.h sqsh_getopt.h \
 sqsh_buf.h sqsh_stdin.h sqsh_readline.h cmd.h cmd_misc.h cmd_input.h

## sqsh 2.5.16.1

=== cygwin/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  $Id: Makefile,v 1.2 2004/11/24 13:21:40 mpeppler Exp $
+#  $Id: Makefile,v 1.3 2013/02/25 10:54:25 mwesdorp Exp $
 #
 #  Makefile for sqsh on Cygwin
 #
@@ -202,7 +202,7 @@
 
 CORE           = \
 	sqsh_alias.o sqsh_args.o sqsh_avl.o sqsh_buf.o sqsh_cmd.o \
-	sqsh_compat.o sqsh_ctx.o sqsh_debug.o sqsh_env.o sqsh_error.o \
+	sqsh_compat.o sqsh_debug.o sqsh_env.o sqsh_error.o \
 	sqsh_expand.o sqsh_fd.o sqsh_filter.o sqsh_fork.o sqsh_func.o \
 	sqsh_getopt.o sqsh_global.o sqsh_history.o sqsh_init.o \
 	sqsh_job.o sqsh_readline.o sqsh_sig.o sqsh_sigcld.o sqsh_stdin.o \

=== debian/changelog ===
sqsh (2.5.16.1-3+kali1) kali-dev; urgency=medium

  * Switch to dpkg-source 3.0 (quilt) format
  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Gbp-pq round trip
  * Import patch found in the Alpine repository
  * Remove debian/source.lintian-overrides

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 10 May 2024 16:32:13 +0700

sqsh (2.5.16.1-2) unstable; urgency=medium

  * Bump debhelper compat to 11.
  * Drop manual handling of config.sub, long obsolete.
  * Bump standards-version.
  * aclocal.m4: use AC_TRY_COMPILE instead of AC_TRY_RUN, for
    cross-buildability.  Thanks to Helmut Grohne for the patch.
    Closes: #910129.

 -- Steve Langasek <vorlon@debian.org>  Sun, 07 Oct 2018 21:54:29 -0700

sqsh (2.5.16.1-1) unstable; urgency=medium

  * New upstream release.  Closes: #717870.
    - debian/examples: adjust for new config example names.
  * Update Vcs-* fields.  Closes: #780466.
  * Add watch file.
  * Fix up further upstream regressions in multiarch library detection.
  * Cherry-pick compatibility with current FreeTDS from upstream CVS.
    Closes: #891671.
  * src/dsp_csv.c: Fix broken invocation of dsp_col() introduced in
    cherry-pick.
  * src/Makefile.in: handle building of the requisite sqsh_parse.a library
    (which should be done using automake + libtool, but, well)
  * Add build-depends on lemon.
  * Link against libXt, which is now used directly.

 -- Steve Langasek <vorlon@debian.org>  Tue, 25 Sep 2018 07:09:33 +0000

sqsh (2.1.7-4) unstable; urgency=high

  * src/sqsh_readline.c: update function prototype for compatibility with
    current readline.  Closes: #741753.
  * src/sqsh_readline.c: fix a latent bug where the wrong function was being
    passed to readline as the rl_completion_entry_function...

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 Mar 2014 03:01:03 +0000

sqsh (2.1.7-3) unstable; urgency=low

  * Transition from lesstif2-dev to libmotif-dev.  Closes: #714666.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Nov 2013 08:47:00 -0700

sqsh (2.1.7-2) unstable; urgency=low

  * Explicitly link to libXt instead of relying on lesstif to provide this.
    Thanks to Graham Inggs <graham@nerve.org.za> for the patch. (LP: #1134233)
  * Fix up LDFLAGS handling so we get relro hardening.

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Feb 2013 18:50:59 +0000

sqsh (2.1.7-1) unstable; urgency=low

  * New upstream release.  Closes: #645277, LP: #783527.
    - fixes segfault when specifying password in ~/.sqshrc.  Closes: #194065.
    - fixes hang on SIGPIPE from the pager.  Closes: #236374.
    - update build rules; we can now use DESTDIR instead of prefix.
    - and we can use dh_auto_build without modification
  * Bump debhelper compat to 9 for dpkg-buildflags.
  * Add Vcs-Bzr, Vcs-Browser headers.

 -- Steve Langasek <vorlon@debian.org>  Thu, 10 Nov 2011 01:03:19 +0000

sqsh (2.1-10) unstable; urgency=low

  * configure.in, aclocal.m4: nuke the custom 'AC_FIND_LIB' macro and
    sybase library filesystem walking from orbit; this does all the wrong
    things that AC_CHECK_LIB is designed to avoid, and results in us not
    finding freetds now that it's multiarched.  Closes: #639195.
  * configure.in, aclocal.m4: call 'test' instead of the non-portable '[[',
    just in case.
  * aclocal.m4: don't link against extra libraries on Linux that we don't
    need.
  * Bump to debhelper 7 and dh.
  * Bump Standards Version to 3.9.2, no changes needed.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Sep 2011 01:04:47 +0000

sqsh (2.1-9) unstable; urgency=low

  * Build-depend on libreadline-dev instead of libreadline5-dev.
    Closes: #553860.
  * Build-conflict with tcl-dev, to avoid incorrectly linking against libtcl.
    This is not the libtcl you're looking for.
  * Add a Homepage: field.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Bump debhelper compat level to 7, adding ${misc:Depends} and dropping a
    few bits from debian/rules that are now redundant (but no dh conversion
    yet).
  * Don't ignore make clean failures.
  * Build-depend on autotools-dev, and pull in an updated config.sub at
    build time.  Closes: #536834.

 -- Steve Langasek <vorlon@debian.org>  Wed, 20 Jan 2010 03:56:58 -0800

sqsh (2.1-8) unstable; urgency=low

  * Rebuild against lesstif2-dev.  Closes: #374238.

 -- Steve Langasek <vorlon@debian.org>  Sun, 18 Jun 2006 12:59:19 -0700

sqsh (2.1-7) unstable; urgency=low

  * Rebuild against freetds 0.63 and libreadline5.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Jul 2005 18:11:22 -0700

sqsh (2.1-6) unstable; urgency=low

  * Update the upstream url in debian/copyright
  * Remove references to libXmu in the configure script, since it's
    not used at all by the binary (closes: #249554).
  * Since we're now building with a newer autoconf, drop the --host
    option again.

 -- Steve Langasek <vorlon@debian.org>  Thu, 20 May 2004 22:10:59 -0500

sqsh (2.1-5) unstable; urgency=low

  * re-add the --host option to configure, since autoconf 2.13 doesn't
    work quite right without it; also, grab an updated config.sub script
    just in case. (closes: #184302)

 -- Steve Langasek <vorlon@debian.org>  Thu,  3 Apr 2003 13:39:44 -0600

sqsh (2.1-4) unstable; urgency=low

  * Call setlocale() on program startup, to properly initialize TDS
    locale settings from the environment.
  * Rebuild against libct1.
  * Update rules to comply with current version of policy.
  * Fix the manpage to point to the correct path for /etc/sqshrc.
  * Ship some more example sqshrc files.

 -- Steve Langasek <vorlon@debian.org>  Sun, 22 Sep 2002 13:45:57 -0500

sqsh (2.1-3) unstable; urgency=low

  * Rebuild against new freetds lib package name.  Adjust build-dep
    versioning accordingly.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Sep 2002 17:37:20 -0500

sqsh (2.1-2) unstable; urgency=low



=== debian/control ===
Source: sqsh
Section: utils
Priority: optional
XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
Maintainer: Kali Developers <devel@kali.org>
Build-Depends: debhelper (>= 11~), freetds-dev (>= 0.63), libmotif-dev, libxt-dev, libreadline-dev, autotools-dev, lemon
Build-Conflicts: tcl-dev
Standards-Version: 4.2.1
Homepage: http://sourceforge.net/projects/sqsh/
XS-Debian-Vcs-Git: https://salsa.debian.org/vorlon/sqsh.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/vorlon/sqsh
Vcs-Git: https://gitlab.com/kalilinux/packages/sqsh.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/sqsh

Package: sqsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: commandline SQL client for MS SQL and Sybase servers
 sqsh is a flexible commandline utility that uses the freetds libraries
 to connect to Sybase or Microsoft SQL servers.  It is a useful debugging
 tool for identifying problems with other SQL applications, and it can be
 used as a productivity tool in its own right:  unlike most SQL CLIs, sqsh's
 interactive shell lets you pipe the output of SQL queries directly to other
 Unix commands for further processing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -Wall

%:
	dh $@

override_dh_auto_configure:
	SYBASE=/usr dh_auto_configure -- --with-readline --with-motif

override_dh_auto_build:
	dh_auto_build -- LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
  # qa.debian.org runs a redirector which allows a simpler form of URL
  # for SourceForge based projects. The format below will automatically
  # be rewritten to use the redirector.
  http://sf.net/sqsh/sqsh-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
